javax.jdo

## Class Enhancer

- java.lang.Object
- - javax.jdo.Enhancer

-     public class Enhancer
      extends Object

  Main class to invoke a JDO Enhancer. The enhancer is invoked with the following command line:

       java -cp {classpath} javax.jdo.Enhancer {options} {directory, file, or resource names}

  <classpath> must contain the jdo specification jar, the implementation jar and any implementation dependencies, the statically-compiled classes, and the jdo metadata files loadable as resources. <options> include:
  - ? : print usage to stderr and exit
  - -h : print usage to stderr and exit
  - -help : print usage to stderr and exit
  - -pu <persistence-unit-name> : the name of a persistence unit
  - -d <target directory> : write the enhanced classes to the specified directory
  - -checkonly : just check the classes for enhancement status
  - -v : verbose output
  - -r : recurse through directories to find all classes and metadata files to enhance
  - -cp <enhancer class loader path> : if not already included in the java class loader, this parameter must contain the statically-compiled classes, and the jdo metadata files loadable as resources
  <directory, file, or resource names>
  - Directory names must not end in ".jdo", ".jar", or ".class"
  - Directories will be searched for files with suffixes ".jdo", ".jar", and ".class"
  - Directories will be searched recursively if the -r option is set
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Enhancer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Run the enhancer from the command line.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Enhancer

          public Enhancer()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Run the enhancer from the command line.
      Parameters:
        `args` - command line arguments

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.